Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Interface ViewEditorHelper

All Known Implementing Classes:
  DefaultViewEditorHelper, DiagramEditorHelper

public interface ViewEditorHelper

This class is used to provide all neccessary changes and validations in model. Generally two strategies for ViewEditorHelper 1) really update the view and model 2) update the model and recreate the view according to model

Method Summary
`View` | `add(java.lang.Object obj, java.awt.Point location)` Should provides necessary changes in view and model if the view can be resized.
`boolean` | `canAccept(CompositeView composite, View view)`
`java.lang.Object` | `createObject(java.lang.Class clazz, java.awt.Point pt)`
`javax.swing.Action[]` | `getActions()` we can use different selections for different viewes
`boolean` | `isResizable(View view)`
`java.awt.Dimension` | `moveView(View view, java.awt.Dimension offset)` Should provides necessary changes in view and model if the view can be moved on the specified offset.
`void` | `register(ViewEditorPane viewEditor)` register this ViewEditorHelper for the specified ViewEditorPane.
`boolean` | `removeView(View view)` Should provides necessary changes in view and model if the view can removed.
`java.awt.Dimension` | `resizeView(View view, java.awt.Dimension size)` Should provides necessary changes in view and model if the view can be resized.

Method Detail

### register

    public void register(ViewEditorPane viewEditor)

  register this ViewEditorHelper for the specified ViewEditorPane.

### moveView

    public java.awt.Dimension moveView(View view,
                                       java.awt.Dimension offset)

  Should provides necessary changes in view and model if the view can be moved on the specified offset.

### resizeView

    public java.awt.Dimension resizeView(View view,
                                         java.awt.Dimension size)

  Should provides necessary changes in view and model if the view can be resized.

### add

    public View add(java.lang.Object obj,
                    java.awt.Point location)

  Should provides necessary changes in view and model if the view can be resized.

### removeView

    public boolean removeView(View view)

  Should provides necessary changes in view and model if the view can removed.

### canAccept

    public boolean canAccept(CompositeView composite,
                             View view)

### isResizable

    public boolean isResizable(View view)

### createObject

    public java.lang.Object createObject(java.lang.Class clazz,
                                         java.awt.Point pt)

  To do:
    comment

### getActions

    public javax.swing.Action[] getActions()

  we can use different selections for different viewes

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.